import java.util.Date;
import java.util.Set;

public class Entity implements Identifiable {
	
	/**
	 * @$clientQualifier parents :
	 * Set<BaseContainer>
	 * @associates BaseContainer
	 * @link aggregation
	 */
	Set<? extends BaseContainer> parents;
	
	String name;
	  
	Date createdOn;
	  
	/**
	 * @$clientQualifier createdBy : 
	 * Actor
	 * @associates Actor
	 */
	Actor createdBy;

	Date modifiedOn;

	/**
	 * @$clientQualifier modifiedBy : 
	 * Actor
	 * @associates Actor
	 */
	Actor modifiedBy;
	
	public Set<? extends BaseContainer> getParents() {
		return parents;
	}
	
}
